查询STA任务列表
POST
/amzStaServer/openapi/inbound-plan/page接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-plan/page | HTTPS | POST | 1 |
请求参数
pageinteger必填lengthinteger必填dateBeginstring必填dateEndstring必填dateTypeinteger必填planNamestringshipmentIdListarray<any>sidsarray<any>sortFieldstringsortTypestringstatusListarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/page?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"page": 1,
"length": 10,
"dateBegin": "2022-10-23",
"dateEnd": "2022-11-21",
"dateType": 2,
"planName": "STA任务名称(模糊搜索)",
"shipmentIdList": [""],
"sids": [1],
"statusList": ["ERRORED"]
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
currentinteger必填ordersarray<object>隐藏子属性
ascbooleancolumnstringpagesintegerrecordsarray<object>必填隐藏子属性
gmtCreatestring必填gmtModifiedstring必填inboundPlanIdstring必填inboundPlanItemListarray<object>必填隐藏子属性
asinstring必填fnskustring必填mskustring必填parentAsinstring必填productNamestring必填quantityinteger必填skustring必填titlestring必填urlstring必填planNamestring必填shipmentListarray<object>必填隐藏子属性
shipmentIdstring必填shipmentConfirmationIdstring必填statusstring必填position_typeinteger必填planCreateTimestring必填planUpdateTimestring必填searchCountboolean必填totalinteger必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": null,
"requestId": "9810aa54fb474e89b291670773d641a5.1733217084822",
"responseTime": "2024-12-03T17:11:24.822",
"data": {
"records": [{
"inboundPlanId": "wf6d737569-f340-47d9-91cc-9936bf6211d7",
"planName": "查询货件装箱详情",
"gmtCreate": "2024-11-30 16:11",
"gmtModified": "2024-11-30 16:13",
"status": "ACTIVE",
"shipmentList": [{
"shipmentId": "sh689b63df-a66e-417b-8e6b-467a455f2cfd",
"shipmentConfirmationId": "FBA18MKW1NY9"
}, {
"shipmentId": "shfb3190bd-b2d1-47f9-9988-5fbe466780a5",
"shipmentConfirmationId": "FBA18ML13MY3"
}],
"inboundPlanItemList": [{
"msku": "CN0002",
"fnsku": "X00489S3FJ",
"asin": "B0D3F2W56C",
"parentAsin": "B0D3F2W56C",
"productName": "随便spu-3",
"sku": "asdkpasdk",
"title": "Notes,Creative Cartoon,Students,Can Post It,Can Tear Messages N Times Paste",
"url": "https://m.media-amazon.com/images/I/51YvC-1dvXL._SL75_.jpg",
"quantity": 6
}, {
"msku": "20240122-GM",
"fnsku": "X0047Z5K5Z",
"asin": "B0CM59V6Y8",
"parentAsin": "B0CPSY8HFP",
"productName": "饭饭饭",
"sku": "ggggasda",
"title": "Note Grid, Note Paper, Minimalist and Creative, Cute Note Book, Non Sticky-GM",
"url": "https://m.media-amazon.com/images/I/61-v2WaQOhL._SL75_.jpg",
"quantity": 4
}, {
"msku": "STN0002",
"fnsku": "X00489S34P",
"asin": "B0D3F37ZPB",
"parentAsin": "B0D3F37ZPB",
"productName": "成本",
"sku": "117009ZZ",
"title": "Note Grid, Note Paper, Minimalist and Creative, Cute Note Book, Non Sticky",
"url": "https://m.media-amazon.com/images/I/61FW9bR5rKL._SL75_.jpg",
"quantity": 5
}]
}],
"total": 1,
"size": 10,
"current": 1,
"orders": [],
"optimizeCountSql": true,
"searchCount": true,
"countId": null,
"maxLimit": null,
"pages": 1
}
}